Resumen de la clave
| Versión de la clave | V4 |
|---|---|
| Especificación | RFC 2440 · RFC 4880 · RFC 9580 |
| Estado | Compatible, pero desaconsejada por RFC 9580 |
| Clave principal (certificar, firmar) | ECDSA NIST P-521 · ID 19 · SHA-512 |
| Subclave de cifrado | ECDH NIST P-521 · ID 18 |
| Huella digital | 388CB0449DA27910B500892F28877C8D10C07DAD |
| Frase de contraseña de la clave privada | synthetic-key-password |
Algoritmos y uso
ECDSA NIST P-521: Firma de curva elíptica sobre NIST P-521 con SHA-512, la curva NIST más robusta.
ECDH NIST P-521: Subclave de cifrado Diffie-Hellman de curva elíptica sobre NIST P-521.
Clave pública
El certificado público con la clave principal, la subclave de cifrado y sus firmas de vinculación. Impórtelo para verificar firmas o cifrar mensajes dirigidos a esta identidad de prueba.
Descargar → 1 083 bytes
-----BEGIN PGP PUBLIC KEY BLOCK-----
xpMEaveFEBMFK4EEACMEIwQAJ8cqHEUcBmsI5vIdHSGTFAcMpx3sc8XSRpYEmB/e
UqwvhHhIkmH1mOPcDvnBAErw94Z77wf5JWa+IdU7cShW3WIBWK4vxwMSgqki25XF
GyN04+acfyu8da2sIqOuvnGCOrabGn1KqNBIRf9gH0tgPtpVYbO0VXjPFWsD49Yr
p7IrggbNJkNILUogbWF0cml4IDIzLXY0LWVjZHNhLXA1MjErZWNkaC1wNTIxwsAP
BBMTCgA0BQJq94UQFiEEOIywRJ2ieRC1AIkvKId8jRDAfa0CGwMCHgEDCwkHARUB
FgUnCQIHAgIZAQAKCRAoh3yNEMB9rciyAgduckPcZjmuj5REwl6yjk4iAaxWNd5u
tA1izH/GIUIlRjabBltP7/C6Uu9N0sIOij+4dtPQbPWNvZF5PbUQHdjYlAIJATq2
O62X+mPygzIRQwfSzcCV2isPpcHM8JRyVOKiCjFY3P+fnhWSHtri0hWrSWoY1LNZ
ffAFM6l80CbMYGa6PWfvzpcEaveFEBIFK4EEACMEIwQAz4bUtXWqk9w1KSryZ1au
oXTDRmgEiJ5xE9/V1ttjLEbBw53No9uCtMc40Ehw5WVOFmHIPvJPNLkKrWssvmWC
8n4ABFiS+k0m8v4OnP18v08JESELhMwhbBATQV8UdmnIOtzhDyFG0j18pjtVg48o
XmkF7HIY5r8dPdJ7242Ro4xGWp0DAQoJwroEGBMKACAFAmr3hRAWIQQ4jLBEnaJ5
ELUAiS8oh3yNEMB9rQIbDAAKCRAoh3yNEMB9rZTKAgjMoZTROxBjdmuf+5rlIPWM
BjSt8vpq6cYfwkPOFzxUg045F7VqNFPZ8X6CX9KLtkAOqcvcOW4PiW+AmI+8UVTa
MAIIwogAMoNzCqdhP+vAgutG6tPzTGXVWvyNIKLYdsoStr6LgYA/VS2+KRL1T9An
AIyRZV8jNeMtEhQ0R1UXPw/ZBC0=
=QiK0
-----END PGP PUBLIC KEY BLOCK-----
Clave privada
La clave privada, protegida con la frase de contraseña indicada arriba. Publicada solo para pruebas: cualquiera puede usarla.
Descargar → 1 406 bytes
Mostrar
-----BEGIN PGP PRIVATE KEY BLOCK-----
xcBIBGr3hRATBSuBBAAjBCMEACfHKhxFHAZrCObyHR0hkxQHDKcd7HPF0kaWBJgf
3lKsL4R4SJJh9Zjj3A75wQBK8PeGe+8H+SVmviHVO3EoVt1iAViuL8cDEoKpItuV
xRsjdOPmnH8rvHWtrCKjrr5xgjq2mxp9SqjQSEX/YB9LYD7aVWGztFV4zxVrA+PW
K6eyK4IG/gkDCMJjfUntPNFK4OxFGLoXdfO9NggytjV16HR06alb1DWdQfaIMQcR
Xz7RIEo1zfWeAb7mJuECPsVoCxolgBTm/YifyGZ9qi8vQdhEECGdh8lByFSjsAB/
OyDJjkSDjgI+E5K7GlTtVrGQ/wbKgSITloLMzSZDSC1KIG1hdHJpeCAyMy12NC1l
Y2RzYS1wNTIxK2VjZGgtcDUyMcLADwQTEwoANAUCaveFEBYhBDiMsESdonkQtQCJ
LyiHfI0QwH2tAhsDAh4BAwsJBwEVARYFJwkCBwICGQEACgkQKId8jRDAfa3IsgIH
bnJD3GY5ro+URMJeso5OIgGsVjXebrQNYsx/xiFCJUY2mwZbT+/wulLvTdLCDoo/
uHbT0Gz1jb2ReT21EB3Y2JQCCQE6tjutl/pj8oMyEUMH0s3AldorD6XBzPCUclTi
ogoxWNz/n54Vkh7a4tIVq0lqGNSzWX3wBTOpfNAmzGBmuj1n78fATARq94UQEgUr
gQQAIwQjBADPhtS1daqT3DUpKvJnVq6hdMNGaASInnET39XW22MsRsHDnc2j24K0
xzjQSHDlZU4WYcg+8k80uQqtayy+ZYLyfgAEWJL6TSby/g6c/Xy/TwkRIQuEzCFs
EBNBXxR2acg63OEPIUbSPXymO1WDjyheaQXschjmvx090nvbjZGjjEZanQMBCgn+
CQMIrrzwYdygBM/gYPOeB3AqKlleT6501mbl9wj9hiL4bKDJ7Qm+S6FZ/7MTMdpP
zHYcNAptHZDgS6iiv9UkmSL0s758OMlt6VavLLuAzkv7OYKen5P64lUnPxXey3Q4
isOl+3fBNsGxpV73SQy0h/42KGvCugQYEwoAIAUCaveFEBYhBDiMsESdonkQtQCJ
LyiHfI0QwH2tAhsMAAoJECiHfI0QwH2tlMoCCMyhlNE7EGN2a5/7muUg9YwGNK3y
+mrpxh/CQ84XPFSDTjkXtWo0U9nxfoJf0ou2QA6py9w5bg+Jb4CYj7xRVNowAgjC
iAAyg3MKp2E/68CC60bq0/NMZdVa/I0goth2yhK2vouBgD9VLb4pEvVP0CcAjJFl
XyM14y0SFDRHVRc/D9kELQ==
=Mpic
-----END PGP PRIVATE KEY BLOCK-----
Certificado de revocación
Un certificado de revocación generado de antemano. Al importarlo, la clave se marca como revocada; se publica para que pueda probar cómo gestiona el software las claves revocadas.
Descargar → 1 335 bytes
Mostrar
-----BEGIN PGP PUBLIC KEY BLOCK-----
xpMEaveFEBMFK4EEACMEIwQAJ8cqHEUcBmsI5vIdHSGTFAcMpx3sc8XSRpYEmB/e
UqwvhHhIkmH1mOPcDvnBAErw94Z77wf5JWa+IdU7cShW3WIBWK4vxwMSgqki25XF
GyN04+acfyu8da2sIqOuvnGCOrabGn1KqNBIRf9gH0tgPtpVYbO0VXjPFWsD49Yr
p7IrggbCuAQgEwoAHQUCaveFEBYhBDiMsESdonkQtQCJLyiHfI0QwH2tAAoJECiH
fI0QwH2tKLYCB3puEL8MsEeLpDrwDNx0Kbo7EnnN8aMUgg/s7smg7aq2VJIjFJPP
ub1gpJ1KNDvHgEGiRSDjAX3414kplPFmMos+AgkB41Th0n6SRprodjCTHdGO4Mnp
yH01NVffdAaSOv6CPW+mCSiPrQERQVKnEUQhzj/8eSTgUy4x0ZddmbtnYxLFM4bN
JkNILUogbWF0cml4IDIzLXY0LWVjZHNhLXA1MjErZWNkaC1wNTIxwsAPBBMTCgA0
BQJq94UQFiEEOIywRJ2ieRC1AIkvKId8jRDAfa0CGwMCHgEDCwkHARUBFgUnCQIH
AgIZAQAKCRAoh3yNEMB9rciyAgduckPcZjmuj5REwl6yjk4iAaxWNd5utA1izH/G
IUIlRjabBltP7/C6Uu9N0sIOij+4dtPQbPWNvZF5PbUQHdjYlAIJATq2O62X+mPy
gzIRQwfSzcCV2isPpcHM8JRyVOKiCjFY3P+fnhWSHtri0hWrSWoY1LNZffAFM6l8
0CbMYGa6PWfvzpcEaveFEBIFK4EEACMEIwQAz4bUtXWqk9w1KSryZ1auoXTDRmgE
iJ5xE9/V1ttjLEbBw53No9uCtMc40Ehw5WVOFmHIPvJPNLkKrWssvmWC8n4ABFiS
+k0m8v4OnP18v08JESELhMwhbBATQV8UdmnIOtzhDyFG0j18pjtVg48oXmkF7HIY
5r8dPdJ7242Ro4xGWp0DAQoJwroEGBMKACAFAmr3hRAWIQQ4jLBEnaJ5ELUAiS8o
h3yNEMB9rQIbDAAKCRAoh3yNEMB9rZTKAgjMoZTROxBjdmuf+5rlIPWMBjSt8vpq
6cYfwkPOFzxUg045F7VqNFPZ8X6CX9KLtkAOqcvcOW4PiW+AmI+8UVTaMAIIwogA
MoNzCqdhP+vAgutG6tPzTGXVWvyNIKLYdsoStr6LgYA/VS2+KRL1T9AnAIyRZV8j
NeMtEhQ0R1UXPw/ZBC0=
=HHLZ
-----END PGP PUBLIC KEY BLOCK-----
Firma de test_1MB.bin
Firma separada de test_1MB.bin con armadura ASCII, creada con esta clave en CH-J Tools. Guárdela como test_1MB.bin.asc junto al archivo de prueba.
Descargar → 321 bytes
-----BEGIN PGP SIGNATURE-----
wrkEABMKAB0WIQQ4jLBEnaJ5ELUAiS8oh3yNEMB9rQUCaveO8gAKCRAoh3yNEMB9
rS16AgkBMs9gBLcZjWGoYRm/zfqJ9trutvmEMEeDhm66YDIB7BSWRmnAawOkmbcy
B0PVIXuZOA+DXryclmrNkveCvDOL4Z8CCQHNBslMJJnLM+F+hNcgk7evcHRYMIbm
P/pfvs5yxczoXu1y2CqAkE+47Xo630wEhflzPAUiJyJSu3lzBGco8XoyKw==
=Vt7z
-----END PGP SIGNATURE-----
Verificar la firma
Las claves de versión 4 funcionan con GnuPG y con herramientas SOP como sqop o rsop, siempre que los algoritmos sean compatibles. Use un GNUPGHOME temporal para que la clave de prueba no se añada a su anillo de claves real:
gpg --import pgp-example-23-public.asc
gpg --verify test_1MB.bin.asc test_1MB.bin